import process from 'node:process';
import yargs from 'yargs';

const { argv } = yargs(process.argv.slice(2))
	.option('debug', {
		describe: 'Show error stack traces and inputs',
		type: 'boolean',
		default: process.env.NODE_ENV === 'development',
	})
	.option('ip', {
		describe: 'Mock IP address',
		type: 'string',
		default: null,
	});

export default argv;
